#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main(int argc, char *argv[]) {
	
	int V;
	scanf("%d",&V);
	int d[]={1,2,5};
	
	int i=0,k=0,j,br=0,z=V;
	
	z=z/10;
	while(z){
		z=z/10;	
		k++;
	}
	
	i=d[2]*pow(10,k);
	
	j=2;
	
	while(V>0){
		if(i>V){
		 i=d[j]*pow(10,k);
		 j--;
		 if(j<0){
		 	k--;
		 	j=2;
		 }}
		 else{	
			V=V-i;
			br++;
		}
	}
	
	 printf("%d",br);
	
	return 0;
}